QwtVectorFieldArrow(3)

NAME
QwtVectorFieldArrow

SYNOPSIS

#include <qwt_vectorfield_symbol.h>

Inherits QwtVectorFieldSymbol.

  Public Member Functions
QwtVectorFieldArrow (qreal headWidth=6.0, qreal tailWidth=1.0)
Constructor.
virtual ~QwtVectorFieldArrow () override
Destructor.
virtual void setLength (qreal length) override
virtual qreal length () const override
virtual void paint (QPainter *) const override
Draw the symbol/arrow.

Detailed Description

Arrow implementation that draws a filled arrow with outline, using a triangular head of constant width.

Definition at line 61 of file qwt_vectorfield_symbol.h.

Constructor & Destructor Documentation

  QwtVectorFieldArrow::QwtVectorFieldArrow (qreal headWidth = 6.0, qreal tailWidth = 1.0)

Constructor. The length is initialized by headWidth + 4

Parameters
    headWidth Width of the triangular head
    tailWidth Width of the arrow tail

See also
    setLength()

Definition at line 74 of file qwt_vectorfield_symbol.cpp.

Member Function Documentation

  qreal QwtVectorFieldArrow::length () const [override], [virtual]

Returns
    length of the symbol/arrow

See also
    setLength()

Implements QwtVectorFieldSymbol.

Definition at line 90 of file qwt_vectorfield_symbol.cpp.

  void QwtVectorFieldArrow::setLength (qreal length) [override], [virtual]
Set the length of the symbol/arrow

See also
    length()

Implements QwtVectorFieldSymbol.

Definition at line 85 of file qwt_vectorfield_symbol.cpp.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.